function [ Ineqs, Eqs ] = jmpConstraints2( x )
    d = x( 1 );
    l = x( 2 );
    n = x( 3 );
    g = x( 4 );
    p = x( 5 );
    zeta = x( 6 );
    LI = x( 7 );
    Ineqs = zeros( 3, 1 );
    Ineqs( 1 ) = p*g-1/l;
    Ineqs( 2 ) = 1/l-n*g;
    Ineqs( 3 ) = fsolve( @(JP)( jmpJPEquation( JP, d, l, n, g, p, zeta, LI ) ), 1, optimset( 'Display', 'off' ) ) - 1;
    Eqs = [];
end