function IRF = GetRelBoundedIRF( VariableName, ShockName, Magnitude, alpha )
    IRF = GetRelIRF( VariableName, ShockName, Magnitude );
    TShadow = length( alpha );
    Shadow = zeros( 200, TShadow );
    for indx = 0:( TShadow - 1 )
        Shadow( :, indx + 1 ) = GetRelIRF( VariableName, [ 'shadowI_' sprintf( '%d', indx ) ], 1 );
	end
	% disp( 0 );
	% disp( norm( IRF ) );
	% disp( norm( Shadow * alpha ) );
    IRF = IRF + Shadow * alpha;
	% disp( norm( IRF ) );
end