function IRF = GetRelIRF( VariableName, ShockName, Magnitude )
	try
		IRF = Magnitude * evalin( 'base', [ 'oo_.irfs.' VariableName '_epsilon_' ShockName ] )';
	catch Exception
		IRF = zeros( 200, 1 );
		if strcmp( Exception.identifier, 'MATLAB:nonExistentField' )
			warning( 'JMP:IRFNotFound', [ 'Variable oo_.irfs.' VariableName '_epsilon_' ShockName ' was not found.\n' ] );
		else
			rethrow( Exception );
		end
	end
end